% solve linear system demo

A = [1 0;1 10; 1 30; 1 40];
b = [0;8;8;20];

% 1st order fit
p1 = polyfit(A(:,2),b,1)

% 2nd order fit
p2 = polyfit(A(:,2),b,2)

t = A(:,2);
y = b;

figure
plot(t,y,'s',t,polyval(p1,t),'-o',t,polyval(p2,t),'--x','linew',2)
set(gca,'fontsize',14)
legend('data','1st order fit', '2nd order fit','location','northwest')
xlabel('time, t')
ylabel('reported distractions')
grid on, box on

x = inv(A'*A)*A'*b

x = A\b
